# Uses of Interface
com.usatiuk.objects.snapshot.Snapshot

Packages that use Snapshot
Package
Description
com.usatiuk.objects.stores

## Uses of Snapshot in com.usatiuk.objects.stores

Methods in com.usatiuk.objects.stores that return Snapshot
Modifier and Type
Method
Description
`Snapshot<JObjectKey,JDataVersionedWrapper>`
CachingObjectPersistentStore.`getSnapshot()`
`Snapshot<JObjectKey,ByteBuffer>`
LmdbObjectPersistentStore.`getSnapshot()`
`Snapshot<JObjectKey,ByteBuffer>`
MemoryObjectPersistentStore.`getSnapshot()`
`Snapshot<JObjectKey,ByteBuffer>`
ObjectPersistentStore.`getSnapshot()`
`Snapshot<JObjectKey,JDataVersionedWrapper>`
SerializingObjectPersistentStore.`getSnapshot()`
`Snapshot<JObjectKey,JDataVersionedWrapper>`
WritebackObjectPersistentStore.`getSnapshot()`